This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### saveXML()
Examples |
    // The following short XML file called "mammals.xml" is parsed
    // in the code below. It must be in the project's "data" folder.
    //
    // <?xml version="1.0"?>
    // <mammals>
    //   <animal id="0" species="Capra hircus">Goat</animal>
    //   <animal id="1" species="Panthera pardus">Leopard</animal>
    //   <animal id="2" species="Equus zebra">Zebra</animal>
    // </mammals>

    XML xml;

    void setup() {
      xml = loadXML("mammals.xml");
      XML firstChild = xml.getChild("animal");
      xml.removeChild(firstChild);
      saveXML(xml, "subset.xml");
    }

    // Sketch saves the following to a file called "subset.xml":
    // <?xml version="1.0"?>
    // <mammals>
    //   <animal id="1" species="Panthera pardus">Leopard</animal>
    //   <animal id="2" species="Equus zebra">Zebra</animal>
    // </mammals>
Description | Writes the contents of an XML object to a file. By default, this file is saved to the sketch's folder. This folder is opened by selecting "Show Sketch Folder" from the "Sketch" menu. Alternatively, the file can be saved to any location on the computer by using an absolute path (something that starts with / on Unix and Linux, or a drive letter on Windows). All files loaded and saved by the Processing API use UTF-8 encoding.
Syntax |
    saveXML(xml, filename)
    saveXML(xml, filename, options)
Parameters |
xml | XML: the XML object to save to disk
filename | String: name of the file to write to
Returns | boolean
Related | XML loadXML() parseXML()

Updated on October 26, 2013 08:58:30pm PDT